# The Machine Learning Solutions Architect Handbook

<a href="https://www.packtpub.com/product/the-machine-learning-solutions-architect-handbook/9781801072168?utm_source=github&utm_medium=repository&utm_campaign=9781801072168"><img src="https://static.packt-cdn.com/products/9781801072168/cover/smaller" alt="The Machine Learning Solutions Architect Handbook" height="256px" align="right"></a>

This is the code repository for [The Machine Learning Solutions Architect Handbook](https://www.packtpub.com/product/the-machine-learning-solutions-architect-handbook/9781801072168?utm_source=github&utm_medium=repository&utm_campaign=9781801072168), published by Packt.

**Create machine learning platforms to run solutions in an enterprise setting**

## What is this book about?
As machine learning becomes increasingly important across different industries, organizations need to build secure and scalable ML platforms. 
This handbook demonstrates the entire process, including data science, system architecture, and ML governance to help you become a professional ML solutions architect.


This book covers the following exciting features: 
* Apply ML methodologies to solve business problems
* Design a practical enterprise ML platform architecture
* Implement MLOps for ML workflow automation
* Build an end-to-end data management architecture using AWS
* Train large-scale ML models and optimize model inference latency
* Create a business application using an AI service and a custom ML model
* Use AWS services to detect data and model bias and explain models

If you feel this book is for you, get your [copy](https://www.amazon.com/dp/1801072167) today!

<a href="https://www.packtpub.com/?utm_source=github&utm_medium=banner&utm_campaign=GitHubBanner"><img src="https://raw.githubusercontent.com/PacktPublishing/GitHub/master/GitHub.png" 
alt="https://www.packtpub.com/" border="5" /></a>


## Instructions and Navigations
All of the code is organized into folders.

The code will look like the following:
```
import pandas as pd
churn_data = pd.read_csv("churn.csv")
churn_data.head()
```

**Following is what you need for this book:**
This book is for data scientists, data engineers, cloud architects, and machine learning enthusiasts who want to become machine learning solutions architects. 
Basic knowledge of the Python programming language, AWS, linear algebra, probability, and networking concepts is assumed.

With the following software and hardware list you can run all code files present in the book (Chapter 3-12).

### Software and Hardware List

| Chapter  | Software required                   | OS required                        |
| -------- | ------------------------------------| -----------------------------------|
| 3-12	   | Angular 9                           | Windows, Mac OS X, and Linux (Any) |
| 3-12     | TypeScript 3.7                      | Windows, Mac OS X, and Linux (Any) |
| 3-12     | ECMAScript 11                       | Windows, Mac OS X, and Linux (Any) |


We also provide a PDF file that has color images of the screenshots/diagrams used in this book. [Click here to download it](https://static.packt-cdn.com/downloads/9781801072168_ColorImages.pdf).


### Related products <Other books you may enjoy>
* Machine Learning with Amazon SageMaker Cookbook [[Packt]](https://www.packtpub.com/product/machine-learning-with-amazon-sagemaker-cookbook/9781800567030?utm_source=github&utm_medium=repository&utm_campaign=9781800567030) [[Amazon]](https://www.amazon.com/dp/1800567030)

* Amazon SageMaker Best Practices [[Packt]](https://www.packtpub.com/product/amazon-sagemaker-best-practices/9781801070522?utm_source=github&utm_medium=repository&utm_campaign=9781801070522) [[Amazon]](https://www.amazon.com/dp/1801070520)

## Get to Know the Author
**David Ping**
is a senior technology leader with over 25 years of experience in the technology and financial services industry. 
His technology focus areas include cloud architecture, enterprise ML platform design, large-scale model training, intelligent document processing, intelligent media processing, intelligent search, and data platforms. 
He currently leads an AI/ML solutions architecture team at AWS, where he helps global companies design and build AI/ML solutions in the AWS cloud. 
Before joining AWS, David held various senior technology leadership roles at Credit Suisse and JPMorgan.
He started his career as a software engineer at Intel. David has an engineering degree from Cornell University.
